Index: palm/trunk/SOURCE/pres.f90
===================================================================
--- palm/trunk/SOURCE/pres.f90	(revision 4182)
+++ palm/trunk/SOURCE/pres.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -69,5 +72,5 @@
         ONLY:  nbgp, ngp_2dh_outer, nx, nxl, nxlg, nxl_mg, nxr, nxrg, nxr_mg,  &
                ny, nys, nysg, nys_mg, nyn, nyng, nyn_mg, nzb, nzt, nzt_mg,     &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -187,5 +190,5 @@
              volume_flow_l(1) = volume_flow_l(1) + u(k,j,i) * dzw(k)           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
           ENDDO
@@ -206,5 +209,5 @@
              u(k,j,i) = u(k,j,i) + volume_flow_offset(1)                       &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
           ENDDO
@@ -232,5 +235,5 @@
              volume_flow_l(2) = volume_flow_l(2) + v(k,j,i) * dzw(k)           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
           ENDDO
@@ -251,5 +254,5 @@
              v(k,j,i) = v(k,j,i) + volume_flow_offset(2)                       &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
           ENDDO
@@ -280,5 +283,5 @@
              DO  k = nzb+1, nzt
                 w_l_l(k) = w_l_l(k) + w(k,j,i)                                                     &
-                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 3 ) )
+                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
              ENDDO
           ENDDO
@@ -297,5 +300,5 @@
              DO  k = nzb+1, nzt
                 w(k,j,i) = w(k,j,i) - w_l(k)                                                       &
-                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 3 ) )
+                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
              ENDDO
           ENDDO
@@ -344,5 +347,5 @@
                         ) * ddt_3d * d_weight_pres                             &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,i), 0 )    &
+                                            BTEST( wall_flags_static_0(k,j,i), 0 )    &
                                           )
           ENDDO
@@ -352,5 +355,5 @@
              threadsum = threadsum + ABS( d(k,j,i) )                           &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,i), 0 )    &
+                                            BTEST( wall_flags_static_0(k,j,i), 0 )    &
                                           )
           ENDDO
@@ -369,5 +372,5 @@
     !$OMP DO SCHEDULE( STATIC )
     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-    !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_0) &
+    !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_static_0) &
     !$ACC PRESENT(d)
     DO  i = nxl, nxr
@@ -380,5 +383,5 @@
                         ) * ddt_3d * d_weight_pres                             &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,i), 0 )    &
+                                            BTEST( wall_flags_static_0(k,j,i), 0 )    &
                                           )     
           ENDDO
@@ -630,5 +633,5 @@
     !$OMP DO
     !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j, k) &
-    !$ACC PRESENT(u, v, w, tend, ddzu, wall_flags_0)
+    !$ACC PRESENT(u, v, w, tend, ddzu, wall_flags_static_0)
     DO  i = nxl, nxr   
        DO  j = nys, nyn
@@ -639,5 +642,5 @@
                                      * weight_pres_l                           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 3 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 3 )  &
                                             )
           ENDDO
@@ -648,5 +651,5 @@
                                      * weight_pres_l                           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
           ENDDO
@@ -657,5 +660,5 @@
                                      * weight_pres_l                           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
           ENDDO                                                         
@@ -688,5 +691,5 @@
              volume_flow_l(1) = volume_flow_l(1) + u(k,j,nxr) * dzw(k)         &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nxr), 1 )&
+                                              BTEST( wall_flags_static_0(k,j,nxr), 1 )&
                                             )
           ENDDO
@@ -707,5 +710,5 @@
              volume_flow_l(2) = volume_flow_l(2) + v(k,nyn,i) * dzw(k)         &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn,i), 2 )&
+                                              BTEST( wall_flags_static_0(k,nyn,i), 2 )&
                                             )
            ENDDO
@@ -738,5 +741,5 @@
                 u(k,j,i) = u(k,j,i) + volume_flow_offset(1)                    &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
              ENDDO
@@ -744,5 +747,5 @@
                 v(k,j,i) = v(k,j,i) + volume_flow_offset(2)                    &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
              ENDDO
@@ -788,5 +791,5 @@
                             w(k-1,j,i) * rho_air_zw(k-1) ) * ddzw(k)           &
                         ) * MERGE( 1.0_wp, 0.0_wp,                             &
-                                   BTEST( wall_flags_0(k,j,i), 0 )             &
+                                   BTEST( wall_flags_static_0(k,j,i), 0 )             &
                                  )
              ENDDO
@@ -799,5 +802,5 @@
        !$OMP DO SCHEDULE( STATIC )
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-       !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_0) &
+       !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_static_0) &
        !$ACC PRESENT(d)
        DO  i = nxl, nxr
@@ -809,5 +812,5 @@
                                w(k-1,j,i) * rho_air_zw(k-1) ) * ddzw(k)        &
                            ) * MERGE( 1.0_wp, 0.0_wp,                          &
-                                   BTEST( wall_flags_0(k,j,i), 0 )             &
+                                   BTEST( wall_flags_static_0(k,j,i), 0 )             &
                                     )
              ENDDO
